Foreman - Feature #15046

Add possibility to use bmc_nic in provisioning templates
05/13/2016 10:16 AM - Baptiste Agasse

Status: Closed
Priority: Normal
Assignee: Baptiste Agasse
Category: BMC
Target version: 1.12.0
Difficulty: trivial Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3526,
https://github.com/theforeman/communit
y-templates/pull/277,
https://github.com/theforeman/communit
y-templates/pull/278
Description

Today, foreman manage BMC interfaces, but lack of some attributes in some jails (host, nic::bmc) to configure BMC interface in
provisioning templates. The provisioning snippet

Attributes needed at this time

Pull requests ready, will be added after creation:

e Adding attributes to the jails
¢ Add bmc_nic_setup snippet to community-templates

Associated revisions

Revision 861a03ba - 05/17/2016 10:18 AM - Baptiste Agasse
Fixes #15046 - Add bmc_nic related attributes to jail

Revision 1260a672 - 06/01/2016 03:31 AM - Baptiste Agasse
Fixes #15046 - Add bmc_nic_setup snippet

Revision 505d4aeb - 06/06/2016 08:37 AM - Baptiste Agasse
Fixes #15046 - Change case statement by if-elsif

History

#1 - 05/17/2016 03:54 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3526 added

#2 - 05/17/2016 11:06 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 861a03ba6ale40f2e054a16e7c486fd95a39b2fa.

#3 - 05/18/2016 04:45 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#4 - 05/19/2016 05:33 AM - The Foreman Bot
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/861a03ba6a1e40f2e054a16e7c486fd95a39b2fa

- Pull request https://github.com/theforeman/community-templates/pull/277 added

#5 - 05/19/2016 05:38 AM - Baptiste Agasse

| can't modify the pull request attribute, here is the pull request for the provisioning templates part:

https://github.com/theforeman/community-templates/pull/277

#6 - 06/06/2016 08:23 AM - The Foreman Bot
- Pull request https://github.com/theforeman/community-templates/pull/278 added
https://github.com/theforeman/community-templates/pull/277
